# The Cardholder object ## Attributes - `id` (string) Unique identifier for the object. - `object` (string) String representing the object’s type. Objects of the same type share the same value. - `billing` (object) The cardholder’s billing information. - `billing.address` (object) The cardholder’s billing address. - `billing.address.city` (string, nullable) City, district, suburb, town, or village. - `billing.address.country` (string, nullable) Two-letter country code ([ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)). - `billing.address.line1` (string, nullable) Address line 1, such as the street, PO Box, or company name. - `billing.address.line2` (string, nullable) Address line 2, such as the apartment, suite, unit, or building. - `billing.address.postal_code` (string, nullable) ZIP or postal code. - `billing.address.state` (string, nullable) State, county, province, or region ([ISO 3166-2](https://en.wikipedia.org/wiki/ISO_3166-2)). - `company` (object, nullable) Additional information about a `company` cardholder. - `company.tax_id_provided` (boolean) Whether the company’s business ID number was provided. - `created` (timestamp) Time at which the object was created. Measured in seconds since the Unix epoch. - `email` (string, nullable) The cardholder’s email address. - `individual` (object, nullable) Additional information about an `individual` cardholder. - `individual.card_issuing` (object, nullable) Information related to the card_issuing program for this cardholder. - `individual.card_issuing.user_terms_acceptance` (object, nullable) Information about cardholder acceptance of Celtic [Authorized User Terms](https://stripe.com/docs/issuing/cards#accept-authorized-user-terms). Required for cards backed by a Celtic program. - `individual.card_issuing.user_terms_acceptance.date` (timestamp, nullable) The Unix timestamp marking when the cardholder accepted the Authorized User Terms. - `individual.card_issuing.user_terms_acceptance.ip` (string, nullable) The IP address from which the cardholder accepted the Authorized User Terms. - `individual.card_issuing.user_terms_acceptance.user_agent` (string, nullable) The user agent of the browser from which the cardholder accepted the Authorized User Terms. - `individual.dob` (object, nullable) The date of birth of this cardholder. - `individual.dob.day` (integer, nullable) The day of birth, between 1 and 31. - `individual.dob.month` (integer, nullable) The month of birth, between 1 and 12. - `individual.dob.year` (integer, nullable) The four-digit year of birth. - `individual.first_name` (string, nullable) The first name of this cardholder. Required before activating Cards. This field cannot contain any numbers, special characters (except periods, commas, hyphens, spaces and apostrophes) or non-latin letters. - `individual.last_name` (string, nullable) The last name of this cardholder. Required before activating Cards. This field cannot contain any numbers, special characters (except periods, commas, hyphens, spaces and apostrophes) or non-latin letters. - `individual.verification` (object, nullable) Government-issued ID document for this cardholder. - `individual.verification.document` (object, nullable) An identifying document, either a passport or local ID card. - `individual.verification.document.back` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter)) The back of a document returned by a [file upload](https://docs.stripe.com/api/issuing/cardholders/object.md#create_file) with a `purpose` value of `identity_document`. - `individual.verification.document.front` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter)) The front of a document returned by a [file upload](https://docs.stripe.com/api/issuing/cardholders/object.md#create_file) with a `purpose` value of `identity_document`. - `livemode` (boolean) If the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`. - `metadata` (object) Set of [key-value pairs](https://docs.stripe.com/docs/api/metadata.md) that you can attach to an object. This can be useful for storing additional information about the object in a structured format. - `name` (string) The cardholder’s name. This will be printed on cards issued to them. - `phone_number` (string, nullable) The cardholder’s phone number. This is required for all cardholders who will be creating EU cards. See the [3D Secure documentation](https://docs.stripe.com/docs/issuing/3d-secure.md#when-is-3d-secure-applied) for more details. - `preferred_locales` (array of enums, nullable) The cardholder’s preferred locales (languages), ordered by preference. Locales can be `da`, `de`, `en`, `es`, `fr`, `it`, `pl`, or `sv`. This changes the language of the [3D Secure flow](https://docs.stripe.com/docs/issuing/3d-secure.md) and one-time password messages sent to the cardholder. - `requirements` (object) Information about verification requirements for the cardholder. - `requirements.disabled_reason` (enum, nullable) If `disabled_reason` is present, all cards will decline authorizations with `cardholder_verification_required` reason. Possible enum values: - `listed` Account might be on a prohibited persons or companies list. The `past_due` field contains information that you need to provide before the cardholder can approve authorizations. - `rejected.listed` Cardholder is rejected because they are on a third-party prohibited persons or companies list (such as financial services provider or government). Their status will be `blocked`. - `requirements.past_due` Cardholder has outstanding requirements. The `past_due` field contains information that you need to provide before the cardholder can activate cards. - `under_review` This cardholder has raised additional review. Stripe will make a decision and update the `disabled_reason` field. - `requirements.past_due` (array of enums, nullable) Array of fields that need to be collected in order to verify and re-enable the cardholder. Possible enum values: - `company.tax_id` The cardholder’s business number (Tax ID). - `individual.card_issuing.user_terms_acceptance.date` The Unix timestamp marking when the Cardholder accepted their Authorized User Terms. Required for Celtic Spend Card users. - `individual.card_issuing.user_terms_acceptance.ip` The IP address from which the Cardholder accepted their Authorized User Terms. Required for Celtic Spend Card users. - `individual.dob.day` The cardholder’s date of birth’s day. - `individual.dob.month` The cardholder’s date of birth’s month. - `individual.dob.year` The cardholder’s date of birth’s year. - `individual.first_name` The cardholder’s legal first name. - `individual.last_name` The cardholder’s legal last name. - `individual.verification.document` The front and back of a government-issued form of identification. - `spending_controls` (object, nullable) Rules that control spending across this cardholder’s cards. Refer to our [documentation](https://docs.stripe.com/docs/issuing/controls/spending-controls.md) for more details. - `spending_controls.allowed_categories` (array of enums, nullable) Array of strings containing [categories](https://docs.stripe.com/docs/api.md#issuing_authorization_object-merchant_data-category) of authorizations to allow. All other categories will be blocked. Cannot be set with `blocked_categories`. Possible enum values: - `ac_refrigeration_repair` - `accounting_bookkeeping_services` - `advertising_services` - `agricultural_cooperative` - `airlines_air_carriers` - `airports_flying_fields` - `ambulance_services` - `amusement_parks_carnivals` - `antique_reproductions` - `antique_shops` - `aquariums` - `architectural_surveying_services` - `art_dealers_and_galleries` - `artists_supply_and_craft_shops` - `auto_and_home_supply_stores` - `auto_body_repair_shops` - `auto_paint_shops` - `auto_service_shops` - `automated_cash_disburse` - `automated_fuel_dispensers` - `automobile_associations` - `automotive_parts_and_accessories_stores` - `automotive_tire_stores` - `bail_and_bond_payments` - `bakeries` - `bands_orchestras` - `barber_and_beauty_shops` - `betting_casino_gambling` - `bicycle_shops` - `billiard_pool_establishments` - `boat_dealers` - `boat_rentals_and_leases` - `book_stores` - `books_periodicals_and_newspapers` - `bowling_alleys` - `bus_lines` - `business_secretarial_schools` - `buying_shopping_services` - `cable_satellite_and_other_pay_television_and_radio` - `camera_and_photographic_supply_stores` - `candy_nut_and_confectionery_stores` - `car_and_truck_dealers_new_used` - `car_and_truck_dealers_used_only` - `car_rental_agencies` - `car_washes` - `carpentry_services` - `carpet_upholstery_cleaning` - `caterers` - `charitable_and_social_service_organizations_fundraising` - `chemicals_and_allied_products` - `child_care_services` - `childrens_and_infants_wear_stores` - `chiropodists_podiatrists` - `chiropractors` - `cigar_stores_and_stands` - `civic_social_fraternal_associations` - `cleaning_and_maintenance` - `clothing_rental` - `colleges_universities` - `commercial_equipment` - `commercial_footwear` - `commercial_photography_art_and_graphics` - `commuter_transport_and_ferries` - `computer_network_services` - `computer_programming` - `computer_repair` - `computer_software_stores` - `computers_peripherals_and_software` - `concrete_work_services` - `construction_materials` - `consulting_public_relations` - `correspondence_schools` - `cosmetic_stores` - `counseling_services` - `country_clubs` - `courier_services` - `court_costs` - `credit_reporting_agencies` - `cruise_lines` - `dairy_products_stores` - `dance_hall_studios_schools` - `dating_escort_services` - `dentists_orthodontists` - `department_stores` - `detective_agencies` - `digital_goods_applications` - `digital_goods_games` - `digital_goods_large_volume` - `digital_goods_media` - `direct_marketing_catalog_merchant` - `direct_marketing_combination_catalog_and_retail_merchant` - `direct_marketing_inbound_telemarketing` - `direct_marketing_insurance_services` - `direct_marketing_other` - `direct_marketing_outbound_telemarketing` - `direct_marketing_subscription` - `direct_marketing_travel` - `discount_stores` - `doctors` - `door_to_door_sales` - `drapery_window_covering_and_upholstery_stores` - `drinking_places` - `drug_stores_and_pharmacies` - `drugs_drug_proprietaries_and_druggist_sundries` - `dry_cleaners` - `durable_goods` - `duty_free_stores` - `eating_places_restaurants` - `educational_services` - `electric_razor_stores` - `electric_vehicle_charging` - `electrical_parts_and_equipment` - `electrical_services` - `electronics_repair_shops` - `electronics_stores` - `elementary_secondary_schools` - `emergency_services_gcas_visa_use_only` - `employment_temp_agencies` - `equipment_rental` - `exterminating_services` - `family_clothing_stores` - `fast_food_restaurants` - `financial_institutions` - `fines_government_administrative_entities` - `fireplace_fireplace_screens_and_accessories_stores` - `floor_covering_stores` - `florists` - `florists_supplies_nursery_stock_and_flowers` - `freezer_and_locker_meat_provisioners` - `fuel_dealers_non_automotive` - `funeral_services_crematories` - `furniture_home_furnishings_and_equipment_stores_except_appliances` - `furniture_repair_refinishing` - `furriers_and_fur_shops` - `general_services` - `gift_card_novelty_and_souvenir_shops` - `glass_paint_and_wallpaper_stores` - `glassware_crystal_stores` - `golf_courses_public` - `government_licensed_horse_dog_racing_us_region_only` - `government_licensed_online_casions_online_gambling_us_region_only` - `government_owned_lotteries_non_us_region` - `government_owned_lotteries_us_region_only` - `government_services` - `grocery_stores_supermarkets` - `hardware_equipment_and_supplies` - `hardware_stores` - `health_and_beauty_spas` - `hearing_aids_sales_and_supplies` - `heating_plumbing_a_c` - `hobby_toy_and_game_shops` - `home_supply_warehouse_stores` - `hospitals` - `hotels_motels_and_resorts` - `household_appliance_stores` - `industrial_supplies` - `information_retrieval_services` - `insurance_default` - `insurance_underwriting_premiums` - `intra_company_purchases` - `jewelry_stores_watches_clocks_and_silverware_stores` - `landscaping_services` - `laundries` - `laundry_cleaning_services` - `legal_services_attorneys` - `luggage_and_leather_goods_stores` - `lumber_building_materials_stores` - `manual_cash_disburse` - `marinas_service_and_supplies` - `marketplaces` - `masonry_stonework_and_plaster` - `massage_parlors` - `medical_and_dental_labs` - `medical_dental_ophthalmic_and_hospital_equipment_and_supplies` - `medical_services` - `membership_organizations` - `mens_and_boys_clothing_and_accessories_stores` - `mens_womens_clothing_stores` - `metal_service_centers` - `miscellaneous` - `miscellaneous_apparel_and_accessory_shops` - `miscellaneous_auto_dealers` - `miscellaneous_business_services` - `miscellaneous_food_stores` - `miscellaneous_general_merchandise` - `miscellaneous_general_services` - `miscellaneous_home_furnishing_specialty_stores` - `miscellaneous_publishing_and_printing` - `miscellaneous_recreation_services` - `miscellaneous_repair_shops` - `miscellaneous_specialty_retail` - `mobile_home_dealers` - `motion_picture_theaters` - `motor_freight_carriers_and_trucking` - `motor_homes_dealers` - `motor_vehicle_supplies_and_new_parts` - `motorcycle_shops_and_dealers` - `motorcycle_shops_dealers` - `music_stores_musical_instruments_pianos_and_sheet_music` - `news_dealers_and_newsstands` - `non_fi_money_orders` - `non_fi_stored_value_card_purchase_load` - `nondurable_goods` - `nurseries_lawn_and_garden_supply_stores` - `nursing_personal_care` - `office_and_commercial_furniture` - `opticians_eyeglasses` - `optometrists_ophthalmologist` - `orthopedic_goods_prosthetic_devices` - `osteopaths` - `package_stores_beer_wine_and_liquor` - `paints_varnishes_and_supplies` - `parking_lots_garages` - `passenger_railways` - `pawn_shops` - `pet_shops_pet_food_and_supplies` - `petroleum_and_petroleum_products` - `photo_developing` - `photographic_photocopy_microfilm_equipment_and_supplies` - `photographic_studios` - `picture_video_production` - `piece_goods_notions_and_other_dry_goods` - `plumbing_heating_equipment_and_supplies` - `political_organizations` - `postal_services_government_only` - `precious_stones_and_metals_watches_and_jewelry` - `professional_services` - `public_warehousing_and_storage` - `quick_copy_repro_and_blueprint` - `railroads` - `real_estate_agents_and_managers_rentals` - `record_stores` - `recreational_vehicle_rentals` - `religious_goods_stores` - `religious_organizations` - `roofing_siding_sheet_metal` - `secretarial_support_services` - `security_brokers_dealers` - `service_stations` - `sewing_needlework_fabric_and_piece_goods_stores` - `shoe_repair_hat_cleaning` - `shoe_stores` - `small_appliance_repair` - `snowmobile_dealers` - `special_trade_services` - `specialty_cleaning` - `sporting_goods_stores` - `sporting_recreation_camps` - `sports_and_riding_apparel_stores` - `sports_clubs_fields` - `stamp_and_coin_stores` - `stationary_office_supplies_printing_and_writing_paper` - `stationery_stores_office_and_school_supply_stores` - `swimming_pools_sales` - `t_ui_travel_germany` - `tailors_alterations` - `tax_payments_government_agencies` - `tax_preparation_services` - `taxicabs_limousines` - `telecommunication_equipment_and_telephone_sales` - `telecommunication_services` - `telegraph_services` - `tent_and_awning_shops` - `testing_laboratories` - `theatrical_ticket_agencies` - `timeshares` - `tire_retreading_and_repair` - `tolls_bridge_fees` - `tourist_attractions_and_exhibits` - `towing_services` - `trailer_parks_campgrounds` - `transportation_services` - `travel_agencies_tour_operators` - `truck_stop_iteration` - `truck_utility_trailer_rentals` - `typesetting_plate_making_and_related_services` - `typewriter_stores` - `u_s_federal_government_agencies_or_departments` - `uniforms_commercial_clothing` - `used_merchandise_and_secondhand_stores` - `utilities` - `variety_stores` - `veterinary_services` - `video_amusement_game_supplies` - `video_game_arcades` - `video_tape_rental_stores` - `vocational_trade_schools` - `watch_jewelry_repair` - `welding_repair` - `wholesale_clubs` - `wig_and_toupee_stores` - `wires_money_orders` - `womens_accessory_and_specialty_shops` - `womens_ready_to_wear_stores` - `wrecking_and_salvage_yards` - `spending_controls.allowed_merchant_countries` (array of strings, nullable) Array of strings containing representing countries from which authorizations will be allowed. Authorizations from merchants in all other countries will be declined. Country codes should be ISO 3166 alpha-2 country codes (e.g. `US`). Cannot be set with `blocked_merchant_countries`. Provide an empty value to unset this control. - `spending_controls.blocked_categories` (array of enums, nullable) Array of strings containing [categories](https://docs.stripe.com/docs/api.md#issuing_authorization_object-merchant_data-category) of authorizations to decline. All other categories will be allowed. Cannot be set with `allowed_categories`. Possible enum values: - `ac_refrigeration_repair` - `accounting_bookkeeping_services` - `advertising_services` - `agricultural_cooperative` - `airlines_air_carriers` - `airports_flying_fields` - `ambulance_services` - `amusement_parks_carnivals` - `antique_reproductions` - `antique_shops` - `aquariums` - `architectural_surveying_services` - `art_dealers_and_galleries` - `artists_supply_and_craft_shops` - `auto_and_home_supply_stores` - `auto_body_repair_shops` - `auto_paint_shops` - `auto_service_shops` - `automated_cash_disburse` - `automated_fuel_dispensers` - `automobile_associations` - `automotive_parts_and_accessories_stores` - `automotive_tire_stores` - `bail_and_bond_payments` - `bakeries` - `bands_orchestras` - `barber_and_beauty_shops` - `betting_casino_gambling` - `bicycle_shops` - `billiard_pool_establishments` - `boat_dealers` - `boat_rentals_and_leases` - `book_stores` - `books_periodicals_and_newspapers` - `bowling_alleys` - `bus_lines` - `business_secretarial_schools` - `buying_shopping_services` - `cable_satellite_and_other_pay_television_and_radio` - `camera_and_photographic_supply_stores` - `candy_nut_and_confectionery_stores` - `car_and_truck_dealers_new_used` - `car_and_truck_dealers_used_only` - `car_rental_agencies` - `car_washes` - `carpentry_services` - `carpet_upholstery_cleaning` - `caterers` - `charitable_and_social_service_organizations_fundraising` - `chemicals_and_allied_products` - `child_care_services` - `childrens_and_infants_wear_stores` - `chiropodists_podiatrists` - `chiropractors` - `cigar_stores_and_stands` - `civic_social_fraternal_associations` - `cleaning_and_maintenance` - `clothing_rental` - `colleges_universities` - `commercial_equipment` - `commercial_footwear` - `commercial_photography_art_and_graphics` - `commuter_transport_and_ferries` - `computer_network_services` - `computer_programming` - `computer_repair` - `computer_software_stores` - `computers_peripherals_and_software` - `concrete_work_services` - `construction_materials` - `consulting_public_relations` - `correspondence_schools` - `cosmetic_stores` - `counseling_services` - `country_clubs` - `courier_services` - `court_costs` - `credit_reporting_agencies` - `cruise_lines` - `dairy_products_stores` - `dance_hall_studios_schools` - `dating_escort_services` - `dentists_orthodontists` - `department_stores` - `detective_agencies` - `digital_goods_applications` - `digital_goods_games` - `digital_goods_large_volume` - `digital_goods_media` - `direct_marketing_catalog_merchant` - `direct_marketing_combination_catalog_and_retail_merchant` - `direct_marketing_inbound_telemarketing` - `direct_marketing_insurance_services` - `direct_marketing_other` - `direct_marketing_outbound_telemarketing` - `direct_marketing_subscription` - `direct_marketing_travel` - `discount_stores` - `doctors` - `door_to_door_sales` - `drapery_window_covering_and_upholstery_stores` - `drinking_places` - `drug_stores_and_pharmacies` - `drugs_drug_proprietaries_and_druggist_sundries` - `dry_cleaners` - `durable_goods` - `duty_free_stores` - `eating_places_restaurants` - `educational_services` - `electric_razor_stores` - `electric_vehicle_charging` - `electrical_parts_and_equipment` - `electrical_services` - `electronics_repair_shops` - `electronics_stores` - `elementary_secondary_schools` - `emergency_services_gcas_visa_use_only` - `employment_temp_agencies` - `equipment_rental` - `exterminating_services` - `family_clothing_stores` - `fast_food_restaurants` - `financial_institutions` - `fines_government_administrative_entities` - `fireplace_fireplace_screens_and_accessories_stores` - `floor_covering_stores` - `florists` - `florists_supplies_nursery_stock_and_flowers` - `freezer_and_locker_meat_provisioners` - `fuel_dealers_non_automotive` - `funeral_services_crematories` - `furniture_home_furnishings_and_equipment_stores_except_appliances` - `furniture_repair_refinishing` - `furriers_and_fur_shops` - `general_services` - `gift_card_novelty_and_souvenir_shops` - `glass_paint_and_wallpaper_stores` - `glassware_crystal_stores` - `golf_courses_public` - `government_licensed_horse_dog_racing_us_region_only` - `government_licensed_online_casions_online_gambling_us_region_only` - `government_owned_lotteries_non_us_region` - `government_owned_lotteries_us_region_only` - `government_services` - `grocery_stores_supermarkets` - `hardware_equipment_and_supplies` - `hardware_stores` - `health_and_beauty_spas` - `hearing_aids_sales_and_supplies` - `heating_plumbing_a_c` - `hobby_toy_and_game_shops` - `home_supply_warehouse_stores` - `hospitals` - `hotels_motels_and_resorts` - `household_appliance_stores` - `industrial_supplies` - `information_retrieval_services` - `insurance_default` - `insurance_underwriting_premiums` - `intra_company_purchases` - `jewelry_stores_watches_clocks_and_silverware_stores` - `landscaping_services` - `laundries` - `laundry_cleaning_services` - `legal_services_attorneys` - `luggage_and_leather_goods_stores` - `lumber_building_materials_stores` - `manual_cash_disburse` - `marinas_service_and_supplies` - `marketplaces` - `masonry_stonework_and_plaster` - `massage_parlors` - `medical_and_dental_labs` - `medical_dental_ophthalmic_and_hospital_equipment_and_supplies` - `medical_services` - `membership_organizations` - `mens_and_boys_clothing_and_accessories_stores` - `mens_womens_clothing_stores` - `metal_service_centers` - `miscellaneous` - `miscellaneous_apparel_and_accessory_shops` - `miscellaneous_auto_dealers` - `miscellaneous_business_services` - `miscellaneous_food_stores` - `miscellaneous_general_merchandise` - `miscellaneous_general_services` - `miscellaneous_home_furnishing_specialty_stores` - `miscellaneous_publishing_and_printing` - `miscellaneous_recreation_services` - `miscellaneous_repair_shops` - `miscellaneous_specialty_retail` - `mobile_home_dealers` - `motion_picture_theaters` - `motor_freight_carriers_and_trucking` - `motor_homes_dealers` - `motor_vehicle_supplies_and_new_parts` - `motorcycle_shops_and_dealers` - `motorcycle_shops_dealers` - `music_stores_musical_instruments_pianos_and_sheet_music` - `news_dealers_and_newsstands` - `non_fi_money_orders` - `non_fi_stored_value_card_purchase_load` - `nondurable_goods` - `nurseries_lawn_and_garden_supply_stores` - `nursing_personal_care` - `office_and_commercial_furniture` - `opticians_eyeglasses` - `optometrists_ophthalmologist` - `orthopedic_goods_prosthetic_devices` - `osteopaths` - `package_stores_beer_wine_and_liquor` - `paints_varnishes_and_supplies` - `parking_lots_garages` - `passenger_railways` - `pawn_shops` - `pet_shops_pet_food_and_supplies` - `petroleum_and_petroleum_products` - `photo_developing` - `photographic_photocopy_microfilm_equipment_and_supplies` - `photographic_studios` - `picture_video_production` - `piece_goods_notions_and_other_dry_goods` - `plumbing_heating_equipment_and_supplies` - `political_organizations` - `postal_services_government_only` - `precious_stones_and_metals_watches_and_jewelry` - `professional_services` - `public_warehousing_and_storage` - `quick_copy_repro_and_blueprint` - `railroads` - `real_estate_agents_and_managers_rentals` - `record_stores` - `recreational_vehicle_rentals` - `religious_goods_stores` - `religious_organizations` - `roofing_siding_sheet_metal` - `secretarial_support_services` - `security_brokers_dealers` - `service_stations` - `sewing_needlework_fabric_and_piece_goods_stores` - `shoe_repair_hat_cleaning` - `shoe_stores` - `small_appliance_repair` - `snowmobile_dealers` - `special_trade_services` - `specialty_cleaning` - `sporting_goods_stores` - `sporting_recreation_camps` - `sports_and_riding_apparel_stores` - `sports_clubs_fields` - `stamp_and_coin_stores` - `stationary_office_supplies_printing_and_writing_paper` - `stationery_stores_office_and_school_supply_stores` - `swimming_pools_sales` - `t_ui_travel_germany` - `tailors_alterations` - `tax_payments_government_agencies` - `tax_preparation_services` - `taxicabs_limousines` - `telecommunication_equipment_and_telephone_sales` - `telecommunication_services` - `telegraph_services` - `tent_and_awning_shops` - `testing_laboratories` - `theatrical_ticket_agencies` - `timeshares` - `tire_retreading_and_repair` - `tolls_bridge_fees` - `tourist_attractions_and_exhibits` - `towing_services` - `trailer_parks_campgrounds` - `transportation_services` - `travel_agencies_tour_operators` - `truck_stop_iteration` - `truck_utility_trailer_rentals` - `typesetting_plate_making_and_related_services` - `typewriter_stores` - `u_s_federal_government_agencies_or_departments` - `uniforms_commercial_clothing` - `used_merchandise_and_secondhand_stores` - `utilities` - `variety_stores` - `veterinary_services` - `video_amusement_game_supplies` - `video_game_arcades` - `video_tape_rental_stores` - `vocational_trade_schools` - `watch_jewelry_repair` - `welding_repair` - `wholesale_clubs` - `wig_and_toupee_stores` - `wires_money_orders` - `womens_accessory_and_specialty_shops` - `womens_ready_to_wear_stores` - `wrecking_and_salvage_yards` - `spending_controls.blocked_merchant_countries` (array of strings, nullable) Array of strings containing representing countries from which authorizations will be declined. Country codes should be ISO 3166 alpha-2 country codes (e.g. `US`). Cannot be set with `allowed_merchant_countries`. Provide an empty value to unset this control. - `spending_controls.spending_limits` (array of objects, nullable) Limit spending with amount-based rules that apply across this cardholder’s cards. - `spending_controls.spending_limits.amount` (integer) Maximum amount allowed to spend per interval. This amount is in the card’s currency and in the [smallest currency unit](https://docs.stripe.com/docs/currencies.md#zero-decimal). - `spending_controls.spending_limits.categories` (array of enums, nullable) Array of strings containing [categories](https://docs.stripe.com/docs/api.md#issuing_authorization_object-merchant_data-category) this limit applies to. Omitting this field will apply the limit to all categories. Possible enum values: - `ac_refrigeration_repair` - `accounting_bookkeeping_services` - `advertising_services` - `agricultural_cooperative` - `airlines_air_carriers` - `airports_flying_fields` - `ambulance_services` - `amusement_parks_carnivals` - `antique_reproductions` - `antique_shops` - `aquariums` - `architectural_surveying_services` - `art_dealers_and_galleries` - `artists_supply_and_craft_shops` - `auto_and_home_supply_stores` - `auto_body_repair_shops` - `auto_paint_shops` - `auto_service_shops` - `automated_cash_disburse` - `automated_fuel_dispensers` - `automobile_associations` - `automotive_parts_and_accessories_stores` - `automotive_tire_stores` - `bail_and_bond_payments` - `bakeries` - `bands_orchestras` - `barber_and_beauty_shops` - `betting_casino_gambling` - `bicycle_shops` - `billiard_pool_establishments` - `boat_dealers` - `boat_rentals_and_leases` - `book_stores` - `books_periodicals_and_newspapers` - `bowling_alleys` - `bus_lines` - `business_secretarial_schools` - `buying_shopping_services` - `cable_satellite_and_other_pay_television_and_radio` - `camera_and_photographic_supply_stores` - `candy_nut_and_confectionery_stores` - `car_and_truck_dealers_new_used` - `car_and_truck_dealers_used_only` - `car_rental_agencies` - `car_washes` - `carpentry_services` - `carpet_upholstery_cleaning` - `caterers` - `charitable_and_social_service_organizations_fundraising` - `chemicals_and_allied_products` - `child_care_services` - `childrens_and_infants_wear_stores` - `chiropodists_podiatrists` - `chiropractors` - `cigar_stores_and_stands` - `civic_social_fraternal_associations` - `cleaning_and_maintenance` - `clothing_rental` - `colleges_universities` - `commercial_equipment` - `commercial_footwear` - `commercial_photography_art_and_graphics` - `commuter_transport_and_ferries` - `computer_network_services` - `computer_programming` - `computer_repair` - `computer_software_stores` - `computers_peripherals_and_software` - `concrete_work_services` - `construction_materials` - `consulting_public_relations` - `correspondence_schools` - `cosmetic_stores` - `counseling_services` - `country_clubs` - `courier_services` - `court_costs` - `credit_reporting_agencies` - `cruise_lines` - `dairy_products_stores` - `dance_hall_studios_schools` - `dating_escort_services` - `dentists_orthodontists` - `department_stores` - `detective_agencies` - `digital_goods_applications` - `digital_goods_games` - `digital_goods_large_volume` - `digital_goods_media` - `direct_marketing_catalog_merchant` - `direct_marketing_combination_catalog_and_retail_merchant` - `direct_marketing_inbound_telemarketing` - `direct_marketing_insurance_services` - `direct_marketing_other` - `direct_marketing_outbound_telemarketing` - `direct_marketing_subscription` - `direct_marketing_travel` - `discount_stores` - `doctors` - `door_to_door_sales` - `drapery_window_covering_and_upholstery_stores` - `drinking_places` - `drug_stores_and_pharmacies` - `drugs_drug_proprietaries_and_druggist_sundries` - `dry_cleaners` - `durable_goods` - `duty_free_stores` - `eating_places_restaurants` - `educational_services` - `electric_razor_stores` - `electric_vehicle_charging` - `electrical_parts_and_equipment` - `electrical_services` - `electronics_repair_shops` - `electronics_stores` - `elementary_secondary_schools` - `emergency_services_gcas_visa_use_only` - `employment_temp_agencies` - `equipment_rental` - `exterminating_services` - `family_clothing_stores` - `fast_food_restaurants` - `financial_institutions` - `fines_government_administrative_entities` - `fireplace_fireplace_screens_and_accessories_stores` - `floor_covering_stores` - `florists` - `florists_supplies_nursery_stock_and_flowers` - `freezer_and_locker_meat_provisioners` - `fuel_dealers_non_automotive` - `funeral_services_crematories` - `furniture_home_furnishings_and_equipment_stores_except_appliances` - `furniture_repair_refinishing` - `furriers_and_fur_shops` - `general_services` - `gift_card_novelty_and_souvenir_shops` - `glass_paint_and_wallpaper_stores` - `glassware_crystal_stores` - `golf_courses_public` - `government_licensed_horse_dog_racing_us_region_only` - `government_licensed_online_casions_online_gambling_us_region_only` - `government_owned_lotteries_non_us_region` - `government_owned_lotteries_us_region_only` - `government_services` - `grocery_stores_supermarkets` - `hardware_equipment_and_supplies` - `hardware_stores` - `health_and_beauty_spas` - `hearing_aids_sales_and_supplies` - `heating_plumbing_a_c` - `hobby_toy_and_game_shops` - `home_supply_warehouse_stores` - `hospitals` - `hotels_motels_and_resorts` - `household_appliance_stores` - `industrial_supplies` - `information_retrieval_services` - `insurance_default` - `insurance_underwriting_premiums` - `intra_company_purchases` - `jewelry_stores_watches_clocks_and_silverware_stores` - `landscaping_services` - `laundries` - `laundry_cleaning_services` - `legal_services_attorneys` - `luggage_and_leather_goods_stores` - `lumber_building_materials_stores` - `manual_cash_disburse` - `marinas_service_and_supplies` - `marketplaces` - `masonry_stonework_and_plaster` - `massage_parlors` - `medical_and_dental_labs` - `medical_dental_ophthalmic_and_hospital_equipment_and_supplies` - `medical_services` - `membership_organizations` - `mens_and_boys_clothing_and_accessories_stores` - `mens_womens_clothing_stores` - `metal_service_centers` - `miscellaneous` - `miscellaneous_apparel_and_accessory_shops` - `miscellaneous_auto_dealers` - `miscellaneous_business_services` - `miscellaneous_food_stores` - `miscellaneous_general_merchandise` - `miscellaneous_general_services` - `miscellaneous_home_furnishing_specialty_stores` - `miscellaneous_publishing_and_printing` - `miscellaneous_recreation_services` - `miscellaneous_repair_shops` - `miscellaneous_specialty_retail` - `mobile_home_dealers` - `motion_picture_theaters` - `motor_freight_carriers_and_trucking` - `motor_homes_dealers` - `motor_vehicle_supplies_and_new_parts` - `motorcycle_shops_and_dealers` - `motorcycle_shops_dealers` - `music_stores_musical_instruments_pianos_and_sheet_music` - `news_dealers_and_newsstands` - `non_fi_money_orders` - `non_fi_stored_value_card_purchase_load` - `nondurable_goods` - `nurseries_lawn_and_garden_supply_stores` - `nursing_personal_care` - `office_and_commercial_furniture` - `opticians_eyeglasses` - `optometrists_ophthalmologist` - `orthopedic_goods_prosthetic_devices` - `osteopaths` - `package_stores_beer_wine_and_liquor` - `paints_varnishes_and_supplies` - `parking_lots_garages` - `passenger_railways` - `pawn_shops` - `pet_shops_pet_food_and_supplies` - `petroleum_and_petroleum_products` - `photo_developing` - `photographic_photocopy_microfilm_equipment_and_supplies` - `photographic_studios` - `picture_video_production` - `piece_goods_notions_and_other_dry_goods` - `plumbing_heating_equipment_and_supplies` - `political_organizations` - `postal_services_government_only` - `precious_stones_and_metals_watches_and_jewelry` - `professional_services` - `public_warehousing_and_storage` - `quick_copy_repro_and_blueprint` - `railroads` - `real_estate_agents_and_managers_rentals` - `record_stores` - `recreational_vehicle_rentals` - `religious_goods_stores` - `religious_organizations` - `roofing_siding_sheet_metal` - `secretarial_support_services` - `security_brokers_dealers` - `service_stations` - `sewing_needlework_fabric_and_piece_goods_stores` - `shoe_repair_hat_cleaning` - `shoe_stores` - `small_appliance_repair` - `snowmobile_dealers` - `special_trade_services` - `specialty_cleaning` - `sporting_goods_stores` - `sporting_recreation_camps` - `sports_and_riding_apparel_stores` - `sports_clubs_fields` - `stamp_and_coin_stores` - `stationary_office_supplies_printing_and_writing_paper` - `stationery_stores_office_and_school_supply_stores` - `swimming_pools_sales` - `t_ui_travel_germany` - `tailors_alterations` - `tax_payments_government_agencies` - `tax_preparation_services` - `taxicabs_limousines` - `telecommunication_equipment_and_telephone_sales` - `telecommunication_services` - `telegraph_services` - `tent_and_awning_shops` - `testing_laboratories` - `theatrical_ticket_agencies` - `timeshares` - `tire_retreading_and_repair` - `tolls_bridge_fees` - `tourist_attractions_and_exhibits` - `towing_services` - `trailer_parks_campgrounds` - `transportation_services` - `travel_agencies_tour_operators` - `truck_stop_iteration` - `truck_utility_trailer_rentals` - `typesetting_plate_making_and_related_services` - `typewriter_stores` - `u_s_federal_government_agencies_or_departments` - `uniforms_commercial_clothing` - `used_merchandise_and_secondhand_stores` - `utilities` - `variety_stores` - `veterinary_services` - `video_amusement_game_supplies` - `video_game_arcades` - `video_tape_rental_stores` - `vocational_trade_schools` - `watch_jewelry_repair` - `welding_repair` - `wholesale_clubs` - `wig_and_toupee_stores` - `wires_money_orders` - `womens_accessory_and_specialty_shops` - `womens_ready_to_wear_stores` - `wrecking_and_salvage_yards` - `spending_controls.spending_limits.interval` (enum) Interval (or event) to which the amount applies. Possible enum values: - `all_time` Limit applies to all transactions. - `daily` Limit applies to a day, starting at midnight UTC. - `monthly` Limit applies to a month, starting on the 1st at midnight UTC. - `per_authorization` Limit applies to each authorization. - `weekly` Limit applies to a week, starting on Sunday at midnight UTC. - `yearly` Limit applies to a year, starting on January 1st at midnight UTC. - `spending_controls.spending_limits_currency` (enum, nullable) Currency of the amounts within `spending_limits`. - `status` (enum) Specifies whether to permit authorizations on this cardholder’s cards. Possible enum values: - `active` A platform has enabled the cardholder to approve authorizations made with their attached cards. However, if Stripe hasn’t yet verified the cardholder’s identity information, authorizations might still be blocked. - `blocked` Cards attached to this cardholder will decline all authorizations with the `cardholder_blocked` reason. This status is non-reversible. - `inactive` Cards attached to this cardholder will decline all authorizations with the `cardholder_inactive` reason. - `type` (enum) One of `individual` or `company`. See [Choose a cardholder type](https://docs.stripe.com/docs/issuing/other/choose-cardholder.md) for more details. Possible enum values: - `company` The cardholder is a company or business entity, and additional information includes their tax ID. This option may not be available if your [use case](https://docs.stripe.com/docs/issuing/other/choose-cardholder.md#find-your-use-case) only supports individual cardholders. - `individual` The cardholder is a person, and additional information includes first and last name, date of birth, etc. If you’re issuing Celtic Spend Cards, then Individual cardholders must accept Authorized User Terms prior to activating their card. ### The Cardholder object ```json { "id": "ich_1MsKAB2eZvKYlo2C3eZ2BdvK", "object": "issuing.cardholder", "billing": { "address": { "line1": "1234 Main Street", "city": "San Francisco", "state": "CA", "country": "US", "postal_code": "94111" } }, "company": null, "created": 1680415995, "email": "jenny.rosen@example.com", "individual": null, "livemode": false, "metadata": {}, "name": "Jenny Rosen", "phone_number": "+18888675309", "redaction": null, "requirements": { "disabled_reason": "requirements.past_due", "past_due": [ "individual.card_issuing.user_terms_acceptance.ip", "individual.card_issuing.user_terms_acceptance.date", "individual.first_name", "individual.last_name" ] }, "spending_controls": { "allowed_categories": [], "blocked_categories": [], "spending_limits": [], "spending_limits_currency": null }, "status": "active", "type": "individual" } ```